# API Reference

### Unibase SDK / Hub (Swagger)

* [Unibase Swagger API](http://54.251.11.180:8080/swagger/index.html)

### Unibase Pay (x402)

| Base URL                          | Version          |
| --------------------------------- | ---------------- |
| <https://api.x402.unibase.com/v2> | V2 (recommended) |
| <https://api.x402.unibase.com/v1> | V1               |

| Method | Endpoint   | Description                    |
| ------ | ---------- | ------------------------------ |
| GET    | /verify    | Verify payment                 |
| POST   | /verify    | Verify payment                 |
| GET    | /settle    | Settle payment                 |
| POST   | /settle    | Settle payment                 |
| GET    | /health    | Health check                   |
| GET    | /supported | Supported networks and schemes |

See [Unibase Pay API Reference](/unibase-docs/unibase-pay/api-reference.md) for details.

### Memory Hub

| Endpoint      | Method | Description   |
| ------------- | ------ | ------------- |
| /api/download | GET    | Download file |
| /api/upload   | POST   | Upload file   |

Base URL: `https://hub.membase.unibase.com` (mainnet) or `https://testnet.hub.membase.unibase.com` (testnet)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://unibaseio.gitbook.io/unibase-docs/reference/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
